QMotifStyle(3qt)

NAME
QMotifStyle - Motif look and feel

SYNOPSIS
#include <ntqmotifstyle.h>

Inherits QCommonStyle.

Inherited by QCDEStyle, QMotifPlusStyle, and QSGIStyle.

  Public Members
QMotifStyle ( bool useHighlightCols = FALSE )
void setUseHighlightColors ( bool arg )
bool useHighlightColors () const

DESCRIPTION
The QMotifStyle class provides Motif look and feel.

This class implements the Motif look and feel. It closely resembles the original Motif look as defined by the Open Group, but with some minor improvements. The Motif style is Qt's default GUI style on UNIX platforms.

See also Widget Appearance and Style.

MEMBER FUNCTION DOCUMENTATION

QMotifStyle::QMotifStyle ( bool useHighlightCols = FALSE )
Constructs a QMotifStyle.

If useHighlightCols is FALSE (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

void QMotifStyle::setUseHighlightColors ( bool arg )
If arg is FALSE, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

The effect will show up the next time an application palette is set via QApplication::setPalette(). The current color palette of the application remains unchanged.

See also QStyle::polish().

bool QMotifStyle::useHighlightColors () const
Returns TRUE if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns FALSE. The default is FALSE.

SEE ALSO
http://doc.trolltech.com/ntqmotifstyle.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqmotifstyle.3qt) and the Qt version (3.3.8).